Skip to Content
FanConvert Docs
Reference

Scripts and media

Reference generated from the OpenAPI contract: Scripts and media.

2 min readOpen in ChatGPTOpen in Claude

Les scripts de vente d'une créatrice

GET /public/v1/creators/{creator_id}/scripts · listScripts

Parameters

NameInTypeRequiredDescription
creator_idpathstringyesIdentifiant de la créatrice.
platformquery"mym" | "telegram" | "onlyfans" | "fanvue"no(default : mym)

Response 200

Page_Script_

FieldTypeRequiredDescription
itemsScript[]yes
nextCursorstring | nullnoÀ repasser en cursor pour lire la page suivante ; null = dernière page.

Script

FieldTypeRequiredDescription
idstringyes
namestringyes
descriptionstringyes
enabledbooleanyes
stepsCountintegeryes
mediaCountintegeryes
folderIdstring | nullyes

Possible errors

401 · 403 · 404 · 422 · 429 · 503 — Error format: Errors.

Example

curl -X GET "https://app.fanconvert.ai/public/v1/creators/{creator_id}/scripts" \
  -H "Authorization: Bearer $FANCONVERT_API_KEY"

La médiathèque d'une créatrice

GET /public/v1/creators/{creator_id}/media · listMedia

Parameters

NameInTypeRequiredDescription
creator_idpathstringyesIdentifiant de la créatrice.
platformquerystringnoLa médiathèque n'existe que sur MYM. (default : mym)

Response 200

Page_MediaPack_

FieldTypeRequiredDescription
itemsMediaPack[]yes
nextCursorstring | nullnoÀ repasser en cursor pour lire la page suivante ; null = dernière page.

MediaPack

FieldTypeRequiredDescription
idstringyes
namestringyes
descriptionstringyes
fileCountintegeryes

Possible errors

401 · 403 · 404 · 422 · 429 · 503 — Error format: Errors.

Example

curl -X GET "https://app.fanconvert.ai/public/v1/creators/{creator_id}/media" \
  -H "Authorization: Bearer $FANCONVERT_API_KEY"

Last updated on

On this page